# $Id: 00-kwalitee.t 12581 2011-02-11 12:26:13Z ajb $
use Test::More;
use strict;
use warnings;
use English qw(-no_match_vars);
use Cwd;      # for getcwd

if (!$ENV{TEST_AUTHOR}) {
  my $msg = 'Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.';
  plan( skip_all => $msg );
}

if (getcwd() !~ /trunk/xms) {
  my $msg = 'This only runs on a trunk directory.';
  plan( skip_all => $msg );
}

eval {
  require Test::Kwalitee;
};

if($EVAL_ERROR) {
  plan( skip_all => 'Test::Kwalitee not installed; skipping' );
}

Test::Kwalitee->import(tests => [qw(-no_symlinks -has_meta_yml -use_strict)]);
